
Ruby - Bug #4863

config.charset not found

06/10/2011 04:15 PM - znz (Kazuhiro NISHIYAMA)

Status: Third Party's Issue   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version: 1.9.3   

ruby -v: r31984 Backport:  

Description

ext/iconv/charset_alias.rb と ext/iconv/mkwrapper.rb に

http://www.ctan.org/get/macros/texinfo/texinfo/gnulib/lib/config.charset

という URL が書いてありますが、存在しなくなっているようです。

Related issues:

Related to Ruby - Bug #1423: config.charset not found Closed 04/30/2009

History

#1 - 06/26/2011 07:19 PM - nahi (Hiroshi Nakamura)

- Target version set to 1.9.3

#2 - 06/28/2011 06:55 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Rejected

iconvはレガシーライブラリであり、近い将来廃棄します。

#3 - 06/28/2011 10:44 PM - shyouhei (Shyouhei Urabe)

へ?

そりゃ初耳です。というかレガシーって宣言すればそれだけで廃棄していいんだ?

かなり大きな話題のような...

#4 - 06/28/2011 11:17 PM - naruse (Yui NARUSE)

前も別の API だから直ちに廃棄するつもりはないよって議論したような記憶があるんですが

#5 - 06/29/2011 02:08 PM - shyouhei (Shyouhei Urabe)

- Status changed from Rejected to Open

#6 - 07/01/2011 12:12 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Third Party's Issue

元々外部のオプショナルなものが消失しただけなので、ext/iconv としてはどうすることもできません。せいぜいその二つのファイルを削除するくらいですね。

#7 - 07/14/2011 10:01 PM - znz (Kazuhiro NISHIYAMA)

#1423 と同様に検索してみた ( http://www.ctan.org/search.html?search=config.charset&search_type=filename ) ところ、

http://mirror.ctan.org/macros/texinfo/contrib/texinfo-hu/texinfo/intl/config.charset

http://mirror.ctan.org/macros/texinfo/texinfo/gnulib/lib/config.charset

にかわっていました。

#8 - 07/18/2011 04:53 PM - kosaki (Motohiro KOSAKI)

2.0が突然身近に見えてきましたが ext/iconvはどうしますかね？
